librime: rime::SchemaAction Class Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Member Functions | List of all members
rime::SchemaAction Class Reference
Inheritance diagram for rime::SchemaAction:
[legend]
Collaboration diagram for rime::SchemaAction:
[legend]

## Public Member Functions
| SchemaAction (an< Candidate > schema, an< Candidate > command)
virtual void | Apply (Switcher *switcher)
Public Member Functions inherited from rime::ShadowCandidate
| ShadowCandidate (const an< Candidate > &item, const string &type, const string &text=string(), const string &comment=string(), const bool inherit_comment=true)
const string & | text () const
string | comment () const
string | preedit () const
const an< Candidate > & | item () const
Public Member Functions inherited from rime::Candidate
| Candidate ()=default
| Candidate (const string &type, size_t start, size_t end, double quality=0.)
virtual | ~Candidate ()=default
int | compare (const Candidate &other)
const string & | type () const
size_t | start () const
size_t | end () const
double | quality () const
void | set_type (const string &type)
void | set_start (size_t start)
void | set_end (size_t end)
void | set_quality (double quality)
Public Member Functions inherited from rime::SwitcherCommand
| SwitcherCommand (const string &keyword)
const string & | keyword () const

## Additional Inherited Members
Static Public Member Functions inherited from rime::Candidate
static an< Candidate > | GetGenuineCandidate (const an< Candidate > &cand)
static vector< of< Candidate > > | GetGenuineCandidates (const an< Candidate > &cand)
Protected Attributes inherited from rime::ShadowCandidate
string | text_
string | comment_
an< Candidate > | item_
bool | inherit_comment_
Protected Attributes inherited from rime::SwitcherCommand
string | keyword_

## Constructor & Destructor Documentation

## ◆ SchemaAction()

rime::SchemaAction::SchemaAction | ( | an< Candidate > | schema,
|  | an< Candidate > | command )
| inline

## Member Function Documentation

## ◆ Apply()

void rime::SchemaAction::Apply | ( | Switcher * | switcher | ) |
| virtual

Implements rime::SwitcherCommand.

The documentation for this class was generated from the following file:

- schema_list_translator.cc